package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 奖衔枚举
 */
@AllArgsConstructor
@Getter
public enum EAwards {

//    /**
//     * -1=海粉
//     */
//    SEA_FLOUR(0,-1, "海粉", 1, EnumsPrefixConstants.AWARDS + "-1"),
    /**
     * 0=会员 -- Q0
     */
    MEMBER(1, 0, "会员", 0, EnumsPrefixConstants.AWARDS + 0),

    /**
     * 主任 -- Q1
     */
    HEADER(2, 5, "一级", 0, EnumsPrefixConstants.AWARDS + 5),

    /**
     * 经理 -- Q2
     */
    MANAGER(3, 10, "二级", 0, EnumsPrefixConstants.AWARDS + 10),

    /**
     * 高级经理 -- Q3
     */
    HIGH_MANAGER(4, 15, "三级", 0, EnumsPrefixConstants.AWARDS + 15),

    /**
     * 资深经理 -- Q4
     */
    SENIOR_MANAGER(5, 20, "四级", 0, EnumsPrefixConstants.AWARDS + 20),

    /**
     * 总监 -- Q5
     */
    CHIEF(6, 25, "五级", 0, EnumsPrefixConstants.AWARDS + 25),

    /**
     * 高级总监 -- Q6
     */
    HIGH_CHIEF(7, 30, "六级", 0, EnumsPrefixConstants.AWARDS + 30),

    /**
     * 资深总监 -- Q7
     */
    SENIOR_CHIEF(8, 35, "七级", 0, EnumsPrefixConstants.AWARDS + 35),

    /**
     * 董事 -- Q8
     */
    CHAIRMAN(9, 40, "八级", 0, EnumsPrefixConstants.AWARDS + 40),

    /**
     * 荣誉董事 -- Q9
     */
    HONOR_CHAIRMAN(10, 45, "九级", 0, EnumsPrefixConstants.AWARDS + 45),

    /**
     * 全球董事 -- Q10
     */
    GLOBAL_CHAIRMAN(11, 50, "十级", 0, EnumsPrefixConstants.AWARDS + 50),
//    /**
//     * 11
//     */
//    LEVEL_ELEVEN(12,55, "十一级", 0, EnumsPrefixConstants.AWARDS + 55),
//    /**
//     * 12
//     */
//    LEVEL_TWELVE(13,60, "十二级", 0, EnumsPrefixConstants.AWARDS + 60),
//    /**
//     * 13
//     */
//    LEVEL_THIRTEEN(14,65, "十三级", 0, EnumsPrefixConstants.AWARDS + 65),
//    /**
//     * 14
//     */
//    LEVEL_FOURTEEN(15,70, "十四级", 0, EnumsPrefixConstants.AWARDS + 70),
//    /**
//     * 15
//     */
//    LEVEL_FIFTEEN(16,75, "十五级", 0, EnumsPrefixConstants.AWARDS + 75),

    ;

    /**
     * 序号
     */
    private final int index;
    /**
     * 实际值
     */
    private final int value;

    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * 国际化翻译key值
     */
    private final String key;

    public static String getAwards(int value) {
        for (EAwards eAwards : EAwards.values()) {
            if (eAwards.value == value) {
                return eAwards.label;
            }
        }
        return null;
    }
}
